+ Responder ao Tópico



  1. #1

    Padrão mysql-server 4.0.24-10 com PHP5 no debian.

    Bom dia a todos, to precisando de um ajudar.

    Bom, hj eu tenho instalado o php4 com apache e mysql4.0.24.10, desses serviços, o unico que instalei com apt-get foi o mysql, o apache e o php foi na "unha mesmo", bom, to querendo migrar para php5, mas to tendo dificuldade, quando do o comando: ./configure --with-apxs2=/usr/local/apache2/bin/apxs --with-mysql

    ele começa e tal, mas depois da o erro.

    configure: error: Cannot find MySQL header files under yes.
    Note that the MySQL client library is not bundled anymore!

    quando dei o comando find /usr -iname "libmysql*"

    ele retonou:
    /usr/share/doc/libmysqlclient12
    /usr/lib/libmysqlclient.so.12.0.0
    /usr/lib/libmysqlclient_r.so.12.0.0
    /usr/lib/libmysqlclient.so.12
    /usr/lib/libmysqlclient_r.so.12 .

    então tentei colocar: /configure --with-apxs2=/usr/local/apache2/bin/apxs --with-mysql=/usr/lib

    coloquei tmb o caminho no arquivo /etc/ld.so.conf

    mas todas minhas tentativas resultaram no mesmo erro,

    o que eu tenho que fazer? tentar atualizar o mysql?

    alguém pode me ajudar?



  2. #2

    Padrão Re: mysql-server 4.0.24-10 com PHP5 no debian.

    www.babckports.org

    Lá existem ports dos pacotes do MySQL e do PHP5.


    Abraços.



  3. #3

    Padrão Re: mysql-server 4.0.24-10 com PHP5 no debian.

    é imprecionante, depois de varios dias tentando e nada, quando posto aqui, eu fui tentar e conseguir, sei não viu ejeeeehehheheeh


    stefano obrigado mesmo assim.

    só precisei instalar libmysql14 que deu certo, abraço

  4. #4

    Padrão Re: mysql-server 4.0.24-10 com PHP5 no debian.

    De qq forma vc poderia ter usado apt-get install php5-mysql

    inté!!

    :-)



  5. #5

    Padrão Re: mysql-server 4.0.24-10 com PHP5 no debian.

    Citação Postado originalmente por mtec
    De qq forma vc poderia ter usado apt-get install php5-mysql

    inté!!

    :-)
    o problema não era o mysql, e sim a biblioteca do mysqlclient, e a outra é que não existe esse pacote no meu repositorio "apt-get install php5-mysql" , qual repositorio vc utiliza?

  6. #6

    Padrão Re: mysql-server 4.0.24-10 com PHP5 no debian.

    uso o debian sarge (testing/unstable)

    Este servidor é apenas para testes, embora este pacote pelo que sei não é considerado instável!

    o repositorio apt que uso é do próprio debian BR e da PUC.

    um abc

    mtec :-)